<!DOCTYPE html>
<html lang="en-US">
<script src="https://ajax.googleapis.com/ajax/libs/angularjs/1.6.9/angular.min.js"></script>
 <style>
	input.ng-invalid {
	  background-color: lightblue;
	}
	input.ng-not-empty {
	  border: 2px solid blue;
	}
	</style>
<body>
	
	<form ng-app="" name="myForm" ng-init="myText = 'post@myweb.com'">
	  Email:
	  <input type="email" name="myAddress" ng-model="myText" required>
	  <h1>Status</h1>
	  {{myForm.myAddress.$valid}}
	  {{myForm.myAddress.$dirty}}
	  {{myForm.myAddress.$touched}}
	</form>

The ng-model directive adds/removes the following classes, according to the status of the form field:
<ul>
    <li>ng-empty</li>
    <li>ng-not-empty</li>
    <li>ng-touched</li>
    <li>ng-untouched</li>
    <li>ng-valid</li>
    <li>ng-invalid</li>
    <li>ng-dirty</li>
    <li>ng-pending</li>
    <li>ng-pristine</li>
</ul>

</body>
</html> 

